### 5.1.148 syz

`Syntax:`
  `syz (` ideal_expression `)`
  `syz (` module_expression `)`
`Type:`
  module
`Purpose:`
  computes the first syzygy (i.e., the module of relations of the given generators) of the ideal, resp. module.
`Example:`

        ring R=0,(x,y),(c,dp);
        ideal i=x,y;
        syz(i);
      ==> _[1]=[y,-x]

See hres; ideal; lres; module; mres; nres; res; sres.

User manual for Singular version 4-0-3, 2016, generated by texi2html.